package com.ruoyi.tc.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.tc.entity.AssetMiniPrograms;
import com.ruoyi.tc.entity.AssetMiniPrograms;
import com.ruoyi.tc.entity.request.AssetMiniProgramsPageRequest;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 小程序资产表(asset_mini_programs)表数据库访问层
 * @author makejava
 * @since 2024-11-15 10:03:56
 */
public interface AssetMiniProgramsMapper extends BaseMapper<AssetMiniPrograms> {

    /**
     * 分页查询所有数据
     *
     * @param page 分页对象
     * @param as   查询实体
     * @return 所有数据
     */
    Page<AssetMiniPrograms> page(Page<AssetMiniPrograms> page,@Param("req") AssetMiniProgramsPageRequest as);

    /**
     * 查询所有数据
     *
     * @param as   查询实体
     * @return 所有数据
     */
    List<AssetMiniPrograms> page(@Param("req")AssetMiniProgramsPageRequest as);



    /**
     * 逻辑删除
     *
     * @return
     */
    void deleteById(Long id);



    /**
     * 删除
     * @param idList
     */
    void deleteIdList(@Param("idList") List<Long> idList);


    /**
     * 根据单位查询资产总数
     *
     * @param part 单位
     * @return
     */
    Integer findBydwmc(@Param("part") String part);
}

